## com.puppycrawl.tools.checkstyle.checks.blocks
Class RightCurlyOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption
          com.puppycrawl.tools.checkstyle.checks.blocks.RightCurlyOption

All Implemented Interfaces:
  Serializable

    public final class RightCurlyOption

extends AbstractOption

Represents the options for placing the right curly brace `'}'`.

Version:
  1
Author:
  Oliver Burn
See Also:
  Serialized Form

Field Summary
`static RightCurlyOption` `ALONE` Represents the policy that the brace must be alone on the line.
`static RightCurlyOption` `SAME` Represents the policy that the brace must be on the same line as the next statement.

Method Summary
`protected Map` `getStrToOpt()` Returns the map from string representations to options.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOption
`decode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALONE

    public static final RightCurlyOption ALONE

  Represents the policy that the brace must be alone on the line. For example:

       try {
           ...
       }
       finally {

### SAME

    public static final RightCurlyOption SAME

  Represents the policy that the brace must be on the same line as the next statement. For example:

       try {
           ...
       } finally {

Method Detail

### getStrToOpt

    protected Map getStrToOpt()

  Returns the map from string representations to options.

  Specified by:
    `getStrToOpt` in class `AbstractOption`
  Returns:
    `Map` from strings to options.

Back to the Checkstyle Home Page